SSHUserInfo (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.ssh.SSHUserInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.ssh
Class SSHUserInfo

    java.lang.Object
      org.hyperic.util.ssh.SSHUserInfo

All Implemented Interfaces:
  com.jcraft.jsch.UserInfo

    public class SSHUserInfo

extends java.lang.Object
implements com.jcraft.jsch.UserInfo

Constructor Summary
`SSHUserInfo(java.lang.String passwd)`

Method Summary
`java.lang.String` | `getPassphrase()`
`java.lang.String` | `getPassword()`
`boolean` | `getTrust()`
`boolean` | `promptPassphrase(java.lang.String message)`
`boolean` | `promptPassword(java.lang.String message)`
`boolean` | `promptYesNo(java.lang.String str)`
`boolean` | `retry()`
`void` | `showMessage(java.lang.String message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSHUserInfo

    public SSHUserInfo(java.lang.String passwd)

Method Detail

### promptYesNo

    public boolean promptYesNo(java.lang.String str)

  Specified by:
    `promptYesNo` in interface `com.jcraft.jsch.UserInfo`

### getPassphrase

    public java.lang.String getPassphrase()

  Specified by:
    `getPassphrase` in interface `com.jcraft.jsch.UserInfo`

### promptPassphrase

    public boolean promptPassphrase(java.lang.String message)

  Specified by:
    `promptPassphrase` in interface `com.jcraft.jsch.UserInfo`

### getPassword

    public java.lang.String getPassword()

  Specified by:
    `getPassword` in interface `com.jcraft.jsch.UserInfo`

### promptPassword

    public boolean promptPassword(java.lang.String message)

  Specified by:
    `promptPassword` in interface `com.jcraft.jsch.UserInfo`

### showMessage

    public void showMessage(java.lang.String message)

  Specified by:
    `showMessage` in interface `com.jcraft.jsch.UserInfo`

### getTrust

    public boolean getTrust()

### retry

    public boolean retry()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.